how to install 64-bit mainline kernels since 4.17.3 or 4.18-rc2 on 32-bit Ubuntu 16.04 or 18.04

it seems there will be no 32-bit Linux kernel builds from Canonical anymore (EDIT: I see there's a plenty of 32-bit versions of 4.18 upto 4.18-rc4 now but anyway…) but in case if your CPU is able to handle 64-bit instructions you may try to install a 64-bit kernel on your 32-bit Ubuntu with multiarch.

похоже, что больше не будет 32-битных сборок ядра Linux от Canonical (ПОПРАВКА: я вижу, есть множество 32-битных версий 4.18 вплоть до 4.18-rc4 теперь — но как бы то ни было…) но в случае если твой CPU способен обрабатывать 64-битные инструкции, ты можешь установить 64-битное ядро на свою 32-битную Ubuntu с multiarch.

first check "lscpu | grep op-mode" if you're not sure about your CPU specs.

CPU op-mode(s): 32-bit, 64-bit

if you do see 64-bit in the output you're OK. now you need to add support of 64-bit architecture if you don't have it yet:

$ sudo dpkg --add-architecture amd64

$ sudo apt update

if you have Ubuntu 16.04 then download and install libssl1.1 both 32-bit and 64-bit to make sure you have the same version onboard.

$ wget http://security.ubuntu.com/ubuntu/pool/main/o/openssl/libssl1.1_1.1.0g-2ubuntu4.1_i386.deb http://security.ubuntu.com/ubuntu/pool/main/o/openssl/libssl1.1_1.1.0g-2ubuntu4.1_amd64.deb

$ sudo dpkg -i libssl1.1_1.1.0g-2ubuntu4.1_i386.deb libssl1.1_1.1.0g-2ubuntu4.1_amd64.deb

also you need some prerequisites. for Ubuntu 16.04:

$ sudo apt install libc6:amd64 libelf1:amd64 libgcc1:amd64 zlib1g:amd64 gcc-6-base:amd64

for Ubuntu 18.04:

$ sudo apt install libc6:amd64 libelf1:amd64 libgcc1:amd64 zlib1g:amd64 gcc-8-base:amd64 libssl1.1:amd64

now you're ready to install any of most modern kernels.

сперва проверь "lscpu | grep op-mode", если ты не уверен(а) в характеристиках твоего CPU.

CPU op-mode(s): 32-bit, 64-bit

если ты видишь 64-bit в выводе — ты в порядке. теперь тебе нужно установить поддержку 64-битной архитектуры, если ты не имеешь её ещё:

$ sudo dpkg --add-architecture amd64

$ sudo apt update

если у тебя Ubuntu 16.04, то скачай и установи libssl1.1 и 32-х, и 64-битную, чтобы убедиться, что у тебя одинаковая версия на борту.

$ wget http://security.ubuntu.com/ubuntu/pool/main/o/openssl/libssl1.1_1.1.0g-2ubuntu4.1_i386.deb http://security.ubuntu.com/ubuntu/pool/main/o/openssl/libssl1.1_1.1.0g-2ubuntu4.1_amd64.deb

$ sudo dpkg -i libssl1.1_1.1.0g-2ubuntu4.1_i386.deb libssl1.1_1.1.0g-2ubuntu4.1_amd64.deb

также тебе необходимы некоторые предварительные приготовления. для Ubuntu 16.04:

$ sudo apt install libc6:amd64 libelf1:amd64 libgcc1:amd64 zlib1g:amd64 gcc-6-base:amd64

для Ubuntu 18.04:

$ sudo apt install libc6:amd64 libelf1:amd64 libgcc1:amd64 zlib1g:amd64 gcc-8-base:amd64 libssl1.1:amd64

теперь ты готов(а) устанавливать любые современные ядра.

Сёма Мрачный
tags: tipz , Ubuntu

good luck!

see you soon…

buena suerte!

hasta pronto…

удачи!

до скорого…

sorry, currently no translation is available.

feel free to make translation by yourself and even send it via pull requests.

lo siento, actualmente traducción no está disponible.

no dude en hacer la traducción por ti mismo e incluso enviarlo por pull requests.

сожалею, перевода пока нет.

не стесняйся сделать перевод самостоятельно и даже прислать его через pull requests.